DS_COPY_PACKET(3)

FUNCTION
ds_copy_packet - Copy a packet.

SYNOPSIS
#include <karma_ds.h>

flag ds_copy_packet

(CONST packet_desc *pack_desc, char *dest_packet, CONST char *source_packet)

DESCRIPTION
Copy a packet.

pack_desc
    The packet descriptor.

dest_packet
    The destination packet data will be written here.

source_packet
    The source packet data.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

NOTE
The routine will copy only the data and pointers to arrays and linked lists in the packet, not the arrays and linked lists which may be pointed to.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/